arg_s Struct Reference

## Data Fields

char const * | name
| Name of the command line switch.
int | type
| Type of the argument in question.
char const * | deflt
| Default value (as a character string), or NULL if none.
char const * | doc
| Documentation/description string.

## Detailed Description

Definition at line 88 of file cmd_ln.h.

## Field Documentation

## deflt

char const* arg_s::deflt

Default value (as a character string), or NULL if none.

Definition at line 91 of file cmd_ln.h.

## doc

char const* arg_s::doc

Documentation/description string.

Definition at line 92 of file cmd_ln.h.

## name

char const* arg_s::name

Name of the command line switch.

Definition at line 89 of file cmd_ln.h.

## type

int arg_s::type

Type of the argument in question.

Definition at line 90 of file cmd_ln.h.

The documentation for this struct was generated from the following file:

- include/sphinxbase/cmd_ln.h